libzypp: zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic Struct Reference

libzypp 17.38.11

zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic Struct Reference

## Public Types
using | ProvideType = typename Context::ProvideType
using | MediaHandle = typename ProvideType::MediaHandle
using | ProvideRes = typename ProvideType::Res

## Public Member Functions
| ImportKeyFromRepoLogic (ContextRef context, std::string &&keyId, zypp::RepoInfo &&info)
MaybeAwaitable< bool > | execute ()
bool | importFromKnownKeyring ()

## Public Attributes
ContextRef | _context
std::string | _keyId
zypp::RepoInfo | _repo

## Detailed Description

Definition at line 27 of file keyringwf.cc.

## Member Typedef Documentation

## ◆ ProvideType

using zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic::ProvideType = typename Context::ProvideType

Definition at line 29 of file keyringwf.cc.

## ◆ MediaHandle

using zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic::MediaHandle = typename ProvideType::MediaHandle

Definition at line 30 of file keyringwf.cc.

## ◆ ProvideRes

using zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic::ProvideRes = typename ProvideType::Res

Definition at line 31 of file keyringwf.cc.

## Constructor & Destructor Documentation

## ◆ ImportKeyFromRepoLogic()

zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic::ImportKeyFromRepoLogic | ( | ContextRef | context,
|  | std::string && | keyId,
|  | zypp::RepoInfo && | info )
| inline

Definition at line 34 of file keyringwf.cc.

## Member Function Documentation

## ◆ execute()

MaybeAwaitable< bool > zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic::execute | ( |  | ) |
| inline

Definition at line 38 of file keyringwf.cc.

## ◆ importFromKnownKeyring()

bool zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic::importFromKnownKeyring | ( |  | ) |
| inline

Definition at line 73 of file keyringwf.cc.

## Member Data Documentation

## ◆ _context

ContextRef zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic::_context

Definition at line 110 of file keyringwf.cc.

## ◆ _keyId

std::string zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic::_keyId

Definition at line 111 of file keyringwf.cc.

## ◆ _repo

zypp::RepoInfo zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic::_repo

Definition at line 112 of file keyringwf.cc.

The documentation for this struct was generated from the following file:

- zypp/ng/workflows/keyringwf.cc